using System;
using OpenTK;

namespace SharpQuake
{
	internal class client_t
	{
		public void Clear()
		{
			this.active = false;
			this.spawned = false;
			this.dropasap = false;
			this.privileged = false;
			this.sendsignon = false;
			this.last_message = 0.0;
			this.netconnection = null;
			this.cmd.Clear();
			this.wishdir = Vector3.Zero;
			this.message.Clear();
			this.edict = null;
			this.name = null;
			this.colors = 0;
			Array.Clear(this.ping_times, 0, this.ping_times.Length);
			this.num_pings = 0;
			Array.Clear(this.spawn_parms, 0, this.spawn_parms.Length);
			this.old_frags = 0;
		}

		public client_t()
		{
			this.ping_times = new float[16];
			this.spawn_parms = new float[16];
			this.message = new MsgWriter(8000);
		}

		public bool active;

		public bool spawned;

		public bool dropasap;

		public bool privileged;

		public bool sendsignon;

		public double last_message;

		public qsocket_t netconnection;

		public usercmd_t cmd;

		public Vector3 wishdir;

		public MsgWriter message;

		public edict_t edict;

		public string name;

		public int colors;

		public float[] ping_times;

		public int num_pings;

		public float[] spawn_parms;

		public int old_frags;
	}
}
